### Enumeration

# Gsk ScalingFilter

#### Declaration

    enum Gsk.ScalingFilter

#### Description [src]

The filters used when scaling texture data.

The actual implementation of each filter is deferred to the rendering pipeline.

#### Members

Name | Description
--- | ---
`GSK_SCALING_FILTER_LINEAR` | Linear interpolation filter.
`GSK_SCALING_FILTER_NEAREST` | Nearest neighbor interpolation filter.
`GSK_SCALING_FILTER_TRILINEAR` | Linear interpolation along each axis, plus mipmap generation, with linear interpolation along the mipmap levels.